package admin

import (
	"github.com/gin-gonic/gin"
	v1 "server/api/v1"
	"server/middleware"
)

type ConstructorRouter struct{}

func (s *ConstructorRouter) InitConstructorRouter(Router *gin.RouterGroup) {
	constructorRouter := Router.Group("constructor").Use(middleware.OperationRecord())
	constructorRouterWithoutRecord := Router.Group("constructor")

	constructorApi := v1.ApiGroupApp.AdminApiGroup.ConstructorApi
	{
		constructorRouter.POST("createConstructor", constructorApi.CreateConstructor)
		constructorRouter.PUT("updateConstructor", constructorApi.UpdateConstructor)
		constructorRouter.DELETE("deleteConstructor", constructorApi.DeleteConstructor)
	}
	{
		constructorRouterWithoutRecord.GET("queryConstructor", constructorApi.QueryConstructor)
		constructorRouterWithoutRecord.POST("queryConstructorList", constructorApi.QueryConstructorList)
	}
}
